using System;
using System.Collections.Generic;

class Program
{
    static void Main(string[] args)
    {
        int n = int.Parse(Console.ReadLine());
        for (int i = 0; i < n-1; i++)
        {
            string[] s = Console.ReadLine().Split(' ');
            int x = int.Parse(s[0]); int y = int.Parse(s[1]);
        }
        Console.WriteLine(n-3);
    }
}